#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	unittest-xml-reporting
Summary:	Unittest-based test runner with Ant/JUnit like XML reporting
Name:		python-%{module}
Version:	2.1.0
Release:	11
License:	BSD
Group:		Libraries/Python
Source0:	https://pypi.python.org/packages/77/27/b4442a041de8fc5366e3d0c82fa2919cba76d6fc7888635540828c740633/%{module}-%{version}.tar.gz
# Source0-md5:	9284cbfccc56b4347493f134e780fa3c
URL:		http://github.com/danielfm/unittest-xml-reporting/tree/master/
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%endif
%if %{with python2}
BuildRequires:	python3-modules >= 1:3.3
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
unittest-xml-reporting is a unittest test runner that can save test
results to XML files that can be consumed by a wide range of tools,
such as build systems, IDEs and continuous integration servers.

%package -n python3-%{module}
Summary:	Unittest-based test runner with Ant/JUnit like XML reporting
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{module}
unittest-xml-reporting is a unittest test runner that can save test
results to XML files that can be consumed by a wide range of tools,
such as build systems, IDEs and continuous integration servers.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc PKG-INFO
%{py_sitescriptdir}/unittest_xml_report*egg-info
%{py_sitescriptdir}/xmlrunner

%files -n python3-%{module}
%defattr(644,root,root,755)
%doc PKG-INFO
%{py3_sitescriptdir}/unittest_xml_report*egg-info
%{py3_sitescriptdir}/xmlrunner
%changelog
* Wed Mar 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-unittest-xml-reporting.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 99ae1a0
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> c0f0c3b
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 0144501
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> d22678f
- Release 8 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 4c5b0ab
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 03bd5a0
- rebuild with python 3.10

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 594dc09
- release 5 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 72d4ea7
- rebuild with python 3.8
- release 4 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ced57e
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 021fe59
- python 3.6
- release 2 (by relup.sh)

* Wed Oct 26 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> b243c8b
- Version: 2.1.0, python3 build

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 635ede2
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 06b83d3
- automatic change: use py_build/py_install macros

* Thu Dec 08 2011 zbyniu <zbyniu@pld-linux.org> b405490
- md5

* Thu Dec 08 2011 zbyniu <zbyniu@pld-linux.org> abcf359
- up to 1.3.1

* Thu Oct 06 2011 cieciwa <cieciwa@pld-linux.org> f293a78
- fixed License.

* Thu Oct 06 2011 cieciwa <cieciwa@pld-linux.org> b12fd0f
- initial.

